Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JMenu.WinListener

    java.lang.Object
      java.awt.event.WindowAdapter
          javax.swing.JMenu.WinListener

All Implemented Interfaces:
  WindowFocusListener, WindowListener, WindowStateListener, Serializable, EventListener

Enclosing class:
  JMenu

    protected class JMenu.WinListener

extends WindowAdapter
implements Serializable

A listener class that watches for a popup window closing. When the popup is closing, the listener deselects the menu.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Constructor Summary
`JMenu.WinListener(JPopupMenu p)` Create the window listener for the specified popup.

Method Summary
`void` | `windowClosing(WindowEvent e)` Deselect the menu when the popup is closed from outside.

Methods inherited from class java.awt.event.WindowAdapter
`windowActivated, windowClosed, windowDeactivated, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowOpened, windowStateChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMenu.WinListener

    public JMenu.WinListener(JPopupMenu p)

  Create the window listener for the specified popup.

Method Detail

### windowClosing

    public void windowClosing(WindowEvent e)

  Deselect the menu when the popup is closed from outside.

  Specified by:
    `windowClosing` in interface `WindowListener`
  Overrides:
    `windowClosing` in class `WindowAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.